/*
 * Copyright 2004 Perforce Software.  All rights reserved.
 *
 * Developed by Data Shades Ltd.
 */

#include <stdio.h>

#include "CallbackManager.h"
#include "PhotoshopAPI.h"

#include "PIUFile.h"

/*
 * Find out if current document has unsaved changes
 *
 * dirty - Return dirty state in here
 */
SPErr UTIL_IsDirty( uint8 *pDirty );

/*
 * Load a photoshop file.
 *
 * path - Path for file to load
 */
SPErr UTIL_LoadFile( char *path );

/*
 * Close the current photoshop file.
 */
SPErr UTIL_CloseFile( void );

/*
 * Reload the current file.
 *
 * path - File path of the current file.
 */
SPErr UTIL_Reload( char* path ); 

/*
 * Save the current photoshop file.
 */
SPErr UTIL_SaveFile( void );

/*
 * Get the number of documents currently open
 *
 * num - Number of documents is returned in this.
 */
SPErr UTIL_NumDocs( int *num );

/*
 * Get the version number of Photoshop
 *
 * version - Version number returned in this buffer.
 */
SPErr UTIL_Version( char *version );

/*
 * Get the path of the current file
 *
 * path - File path returned in this buffer
 */
SPErr UTIL_CurrFilePath( char *path );

/*
 * Extract the path from the descriptor.
 *
 * descriptor - The descriptor
 * path - Path is returned in this buffer
 */
bool UTIL_PathFromDesc( PIActionDescriptor descriptor, char *path );
